if (!defined &_SYS_GPROF_H) {
    eval 'sub _SYS_GPROF_H {1;}';
    if (defined( &_KERNEL)) {
	require 'sys/regset.ph';
    }
    if (defined &__cplusplus) {
    }
    eval 'sub PROFILE_NCPUS {0;}';
    eval 'sub PROFILE_STATUS {1;}';
    eval 'sub PROFILE_INIT {2;}';
    eval 'sub PROFILE_ON {3;}';
    eval 'sub PROFILE_OFF {4;}';
    eval 'sub PROFILE_DUMP {5;}';
    eval 'sub PROFILE_SNAP {6;}';
    eval 'sub PROFILE_RESET {7;}';
    eval 'sub PROFILE_DEALLOC {8;}';
    eval 'sub PROFILE_QUERY {9;}';
    eval 'sub NCPUS_PROFILING { &_IOR(ord(\'p\'), 0, int);}';
    eval 'sub INIT_PROFILING { &_IOR(ord(\'p\'), 1, int);}';
    eval 'sub DEALLOC_PROFILING { &_IOR(ord(\'p\'), 2, int);}';
    eval 'sub MCOUNT_TRACING { &_IOR(ord(\'p\'), 3, int);}';
    eval 'sub EPROFILING {-2;}';
    eval 'sub ENOTPROFILING {-3;}';
    eval 'sub ENOTINIT {-4;}';
    if (!defined &_ASM) {
	if (defined( &_KERNEL)) {
	    eval 'sub VALID_CPU {
	        local($i) = @_;
	        eval "(( &cpu[$i] !=  &NULL) && (( &cpu[$i]-> &cpu_flags &  &CPU_OFFLINE) == 0))";
	    }';
	}
	if (defined &__ppc) {
	}
	else {
	}
	eval 'sub SAMPLE_RATIO {140;}';
	eval 'sub SAMPLE_HASH_RATIO {(20 *  &SAMPLE_RATIO);}';
	eval 'sub CALL_RATIO {200;}';
	eval 'sub CALL_HASH_RATIO {( &CALL_RATIO);}';
	eval 'sub HISTCOUNTER {unsigned short;}';
	eval 'sub HIST_GRANULARITY {4;}';
	eval 'sub PROFILE_ROUNDDOWN {
	    local($x, $y) = @_;
	    eval "((($x)/($y))*($y))";
	}';
	eval 'sub PROFILE_ROUNDUP {
	    local($x, $y) = @_;
	    eval "(((($x)+($y)-1)/($y))*($y))";
	}';
    }
    if (defined &__cplusplus) {
    }
}
1;
