if (!defined &_RPC_TYPES_H) {
    eval 'sub _RPC_TYPES_H {1;}';
    require 'sys/types.ph';
    if (defined &__cplusplus) {
    }
    eval 'sub __dontcare__ {-1;}';
    if (!defined &FALSE) {
	eval 'sub FALSE {(0);}';
    }
    if (!defined &TRUE) {
	eval 'sub TRUE {(1);}';
    }
    if (!defined &NULL) {
	eval 'sub NULL {0;}';
    }
    if (!defined &_KERNEL) {
	eval 'sub mem_alloc {
	    local($bsize) = @_;
	    eval " &malloc($bsize)";
	}';
	eval 'sub mem_free {
	    local($ptr, $bsize) = @_;
	    eval " &free($ptr)";
	}';
    }
    else {
	require 'sys/kmem.ph';
	eval 'sub mem_alloc {
	    local($bsize) = @_;
	    eval " &kmem_alloc($bsize,  &KM_SLEEP)";
	}';
	eval 'sub mem_free {
	    local($ptr, $bsize) = @_;
	    eval " &kmem_free(( &caddr_t)($ptr), ($bsize))";
	}';
	if (defined &RPCDEBUG) {
	    if (defined &__STDC__) {
	    }
	    else {
	    }
	    eval 'sub RPCLOG {
	        local($A, $B, $C) = @_;
	        eval "(( &void)(( &rpclog) &&  &rpc_log(($A), ($B), ($C))))";
	    }';
	}
	else {
	    eval 'sub RPCLOG {
	        local($A, $B, $C) = @_;
	        eval "";
	    }';
	}
    }
    if (defined &_NSL_RPC_ABI) {
	eval 'sub select { &_abi_select;}';
	eval 'sub gettimeofday { &_abi_gettimeofday;}';
	eval 'sub syslog { &_abi_syslog;}';
	eval 'sub getgrent { &_abi_getgrent;}';
	eval 'sub endgrent { &_abi_endgrent;}';
	eval 'sub setgrent { &_abi_setgrent;}';
    }
    if (!defined &_KERNEL) {
	if (defined &__STDC__) {
	}
	else {
	}
    }
    if (defined &__cplusplus) {
    }
    require 'sys/time.ph';
}
1;
