if (!defined &_SYS_FS_UFS_ACL_H) {
    eval 'sub _SYS_FS_UFS_ACL_H {1;}';
    require 'sys/types.ph';
    require 'sys/cred.ph';
    require 'sys/vfs.ph';
    require 'sys/acl.ph';
    require 'sys/fs/ufs_fs.ph';
    if (defined &__cplusplus) {
    }
    eval 'sub acl_tag { &acl_un. &acl_tag;}';
    eval 'sub acl_next { &acl_un. &acl_next;}';
    eval 'sub aowner { &s_a. &owner;}';
    eval 'sub agroup { &s_a. &group;}';
    eval 'sub aother { &s_a. &other;}';
    eval 'sub ausers { &s_a. &users;}';
    eval 'sub agroups { &s_a. &groups;}';
    eval 'sub aclass { &s_a. &class;}';
    eval 'sub downer { &s_d. &owner;}';
    eval 'sub dgroup { &s_d. &group;}';
    eval 'sub dother { &s_d. &other;}';
    eval 'sub dusers { &s_d. &users;}';
    eval 'sub dgroups { &s_d. &groups;}';
    eval 'sub dclass { &s_d. &class;}';
    eval 'sub s_prev { &s_forw;}';
    eval 'sub SI_CACHED {0x0001;}';
    eval 'sub FSD_FREE {(0);}';
    eval 'sub FSD_ACL {(1);}';
    eval 'sub FSD_DFACL {(2);}';
    eval 'sub FSD_RESERVED3 {(3);}';
    eval 'sub FSD_RESERVED4 {(4);}';
    eval 'sub FSD_RESERVED5 {(5);}';
    eval 'sub FSD_RESERVED6 {(6);}';
    eval 'sub FSD_RESERVED7 {(7);}';
    eval 'sub ACL_CHECK {0x01;}';
    eval 'sub DEF_ACL_CHECK {0x02;}';
    eval 'sub MODE_CHECK {
        local($M, $PERM) = @_;
        eval "(((($M) & $PERM) == ($M)) ? 0 :  &EACCES)";
    }';
    eval 'sub MODE2ACL {
        local($P, $MODE, $CRED) = @_;
        eval " &ASSERT(($P)); ($P)-> &acl_next =  &NULL; ($P)-> &acl_perm &= (($MODE) & 7); ($P)-> &acl_who = ($CRED);";
    }';
    eval 'sub ACL_MOVE {
        local($P, $T, $B) = @_;
        eval "{  &ufs_acl_t * &acl;  &for ( &acl = ($P);  &acl;  &acl =  &acl-> &acl_next) { ($B)-> &acl_tag = ($T); ($B)-> &acl_perm =  &acl-> &acl_perm; ($B)-> &acl_who =  &acl-> &acl_who; ($B)++; } }";
    }';
    if (defined &__cplusplus) {
    }
}
1;
