if (!defined &_SYS_VUID_EVENT_H) {
    eval 'sub _SYS_VUID_EVENT_H {1;}';
    if (defined &__cplusplus) {
    }
    eval 'sub VUID_SEG_SIZE {(256);}';
    eval 'sub ASCII_DEVID {0x00;}';
    eval 'sub TOP_DEVID {0x01;}';
    eval 'sub ISO_DEVID {0x02;}';
    eval 'sub LIGHTPEN_DEVID {0x79;}';
    eval 'sub BUTTON_DEVID {0x7A;}';
    eval 'sub DIAL_DEVID {0x7B;}';
    eval 'sub SUNVIEW_DEVID {0x7C;}';
    eval 'sub PANEL_DEVID {0x7D;}';
    eval 'sub SCROLL_DEVID {0x7E;}';
    eval 'sub WORKSTATION_DEVID {0x7F;}';
    eval 'sub LAST_DEVID {0xFF;}';
    eval 'sub vuid_first {
        local($devid) = @_;
        eval "(($devid) << 8)";
    }';
    eval 'sub vuid_last {
        local($devid) = @_;
        eval "((($devid) << 8)+ &VUID_SEG_SIZE-1)";
    }';
    eval 'sub vuid_in_range {
        local($devid, $id) = @_;
        eval "(($id >=  &vuid_first($devid)) && ($id <=  &vuid_last($devid)))";
    }';
    eval 'sub EUC_FIRST {(0);}';
    eval 'sub EUC_LAST {(255);}';
    eval 'sub ASCII_FIRST {(0);}';
    eval 'sub ASCII_LAST {(127);}';
    eval 'sub META_FIRST {(128);}';
    eval 'sub META_LAST {(255);}';
    eval 'sub TOP_FIRST {(256);}';
    eval 'sub TOP_LAST {(511);}';
    eval 'sub ISO_FIRST {(512);}';
    eval 'sub ISO_LAST {(767);}';
    eval 'sub VKEY_FIRST { &vuid_first( &WORKSTATION_DEVID);}';
    eval 'sub VKEY_UP {0;}';
    eval 'sub VKEY_DOWN {1;}';
    eval 'sub VKEY_KBD_CODES {(128);}';
    eval 'sub VKEY_FIRSTPSEUDO {( &VKEY_FIRST);}';
    eval 'sub VKEY_LASTPSEUDO {( &VKEY_FIRSTPSEUDO+15);}';
    eval 'sub VKEY_FIRSTSHIFT {( &VKEY_LASTPSEUDO+1);}';
    eval 'sub SHIFT_CAPSLOCK {( &VKEY_FIRSTSHIFT+0);}';
    eval 'sub SHIFT_LOCK {( &VKEY_FIRSTSHIFT+1);}';
    eval 'sub SHIFT_LEFT {( &VKEY_FIRSTSHIFT+2);}';
    eval 'sub SHIFT_RIGHT {( &VKEY_FIRSTSHIFT+3);}';
    eval 'sub SHIFT_LEFTCTRL {( &VKEY_FIRSTSHIFT+4);}';
    eval 'sub SHIFT_CTRL { &SHIFT_LEFTCTRL;}';
    eval 'sub SHIFT_RIGHTCTRL {( &VKEY_FIRSTSHIFT+5);}';
    eval 'sub SHIFT_META {( &VKEY_FIRSTSHIFT+6);}';
    eval 'sub SHIFT_TOP {( &VKEY_FIRSTSHIFT+7);}';
    eval 'sub SHIFT_CMD {( &VKEY_FIRSTSHIFT+8);}';
    eval 'sub SHIFT_ALTG {( &VKEY_FIRSTSHIFT+9);}';
    eval 'sub SHIFT_ALT {( &VKEY_FIRSTSHIFT+10);}';
    eval 'sub SHIFT_NUMLOCK {( &VKEY_FIRSTSHIFT+11);}';
    eval 'sub VKEY_LASTSHIFT {( &VKEY_FIRSTSHIFT+15);}';
    eval 'sub VKEY_FIRSTFUNC {( &VKEY_LASTSHIFT+1);}';
    eval 'sub BUT_FIRST {( &VKEY_FIRSTFUNC);}';
    eval 'sub BUT {
        local($i) = @_;
        eval "(( &BUT_FIRST)+($i)-1)";
    }';
    eval 'sub BUT_LAST {( &BUT_FIRST+9);}';
    eval 'sub KEY_LEFTFIRST {(( &BUT_LAST)+1);}';
    eval 'sub KEY_LEFT {
        local($i) = @_;
        eval "(( &KEY_LEFTFIRST)+($i)-1)";
    }';
    eval 'sub KEY_LEFTLAST {(( &KEY_LEFTFIRST)+15);}';
    eval 'sub KEY_RIGHTFIRST {(( &KEY_LEFTLAST)+1);}';
    eval 'sub KEY_RIGHT {
        local($i) = @_;
        eval "(( &KEY_RIGHTFIRST)+($i)-1)";
    }';
    eval 'sub KEY_RIGHTLAST {(( &KEY_RIGHTFIRST)+15);}';
    eval 'sub KEY_TOPFIRST {(( &KEY_RIGHTLAST)+1);}';
    eval 'sub KEY_TOP {
        local($i) = @_;
        eval "(( &KEY_TOPFIRST)+($i)-1)";
    }';
    eval 'sub KEY_TOPLAST {(( &KEY_TOPFIRST)+15);}';
    eval 'sub KEY_BOTTOMLEFT {(( &KEY_TOPLAST)+1);}';
    eval 'sub KEY_BOTTOMRIGHT {(( &KEY_BOTTOMLEFT)+1);}';
    eval 'sub KEY_BOTTOMFIRST {(( &KEY_TOPLAST)+1);}';
    eval 'sub KEY_BOTTOM {
        local($i) = @_;
        eval "(( &KEY_BOTTOMFIRST)+($i)-1)";
    }';
    eval 'sub KEY_BOTTOMLAST {(( &KEY_BOTTOMFIRST)+15);}';
    eval 'sub VKEY_LASTFUNC {( &VKEY_FIRSTFUNC+73);}';
    eval 'sub VKEY_FIRSTPAD {( &VKEY_LASTFUNC+1);}';
    eval 'sub VKEY_PADEQUAL {( &VKEY_FIRSTPAD+0);}';
    eval 'sub VKEY_PADSLASH {( &VKEY_FIRSTPAD+1);}';
    eval 'sub VKEY_PADSTAR {( &VKEY_FIRSTPAD+2);}';
    eval 'sub VKEY_PADMINUS {( &VKEY_FIRSTPAD+3);}';
    eval 'sub VKEY_PADSEP {( &VKEY_FIRSTPAD+4);}';
    eval 'sub VKEY_PAD7 {( &VKEY_FIRSTPAD+5);}';
    eval 'sub VKEY_PAD8 {( &VKEY_FIRSTPAD+6);}';
    eval 'sub VKEY_PAD9 {( &VKEY_FIRSTPAD+7);}';
    eval 'sub VKEY_PADPLUS {( &VKEY_FIRSTPAD+8);}';
    eval 'sub VKEY_PAD4 {( &VKEY_FIRSTPAD+9);}';
    eval 'sub VKEY_PAD5 {( &VKEY_FIRSTPAD+10);}';
    eval 'sub VKEY_PAD6 {( &VKEY_FIRSTPAD+11);}';
    eval 'sub VKEY_PAD1 {( &VKEY_FIRSTPAD+12);}';
    eval 'sub VKEY_PAD2 {( &VKEY_FIRSTPAD+13);}';
    eval 'sub VKEY_PAD3 {( &VKEY_FIRSTPAD+14);}';
    eval 'sub VKEY_PAD0 {( &VKEY_FIRSTPAD+15);}';
    eval 'sub VKEY_PADDOT {( &VKEY_FIRSTPAD+16);}';
    eval 'sub VKEY_PADENTER {( &VKEY_FIRSTPAD+17);}';
    eval 'sub VKEY_LASTPAD {( &VKEY_FIRSTPAD+17);}';
    eval 'sub VKEY_LAST {( &VKEY_FIRST+ &VKEY_KBD_CODES-1);}';
    eval 'sub MOUSE_DEVID { &WORKSTATION_DEVID;}';
    eval 'sub VLOC_FIRST {( &VKEY_LAST+1);}';
    eval 'sub LOC_FIRST_DELTA {( &VLOC_FIRST+0);}';
    eval 'sub LOC_X_DELTA {( &VLOC_FIRST+0);}';
    eval 'sub LOC_Y_DELTA {( &VLOC_FIRST+1);}';
    eval 'sub LOC_LAST_DELTA {( &VLOC_FIRST+1);}';
    eval 'sub LOC_FIRST_ABSOLUTE {( &VLOC_FIRST+2);}';
    eval 'sub LOC_X_ABSOLUTE {( &VLOC_FIRST+2);}';
    eval 'sub LOC_Y_ABSOLUTE {( &VLOC_FIRST+3);}';
    eval 'sub LOC_LAST_ABSOLUTE {( &VLOC_FIRST+3);}';
    eval 'sub VLOC_BATCH {( &VLOC_FIRST+4);}';
    eval 'sub VLOC_LAST {( &VLOC_BATCH+1);}';
    eval 'sub MS_LEFT { &BUT(1);}';
    eval 'sub MS_MIDDLE { &BUT(2);}';
    eval 'sub MS_RIGHT { &BUT(3);}';
    eval 'sub FE_PAIR_NONE {0;}';
    eval 'sub FE_PAIR_SET {1;}';
    eval 'sub FE_PAIR_DELTA {2;}';
    eval 'sub FE_PAIR_ABSOLUTE {3;}';
    eval 'sub FIRM_EVENT_NULL {(( &Firm_event *)0);}';
    eval 'sub vuid_id_addr {
        local($id) = @_;
        eval "(($id) & 0xFF00)";
    }';
    eval 'sub vuid_id_offset {
        local($id) = @_;
        eval "(($id) & 0xFF)";
    }';
    eval 'sub vuid_boolean_value {
        local($value) = @_;
        eval "((($value) == 0) || (($value) == 1))";
    }';
    eval 'sub vuid_int_value {
        local($value) = @_;
        eval "(!( &vuid_boolean_value(($value))))";
    }';
    eval 'sub VUIOC {(ord(\'v\')<<8);}';
    if (!(defined( &i386) || defined( &__i386))) {
	eval 'sub VUIDSFORMAT {( &VUIOC|1);}';
	eval 'sub VUIDGFORMAT {( &VUIOC|2);}';
    }
    else {
	eval 'sub VUIDSFORMAT {( &VUIOC|11);}';
	eval 'sub VUIDGFORMAT {( &VUIOC|12);}';
    }
    eval 'sub VUID_NATIVE {0;}';
    eval 'sub VUID_FIRM_EVENT {1;}';
    if (!(defined( &i386) || defined( &__i386))) {
	eval 'sub VUIDSADDR {( &VUIOC|3);}';
	eval 'sub VUIDGADDR {( &VUIOC|4);}';
    }
    else {
	eval 'sub VUIDSADDR {( &VUIOC|13);}';
	eval 'sub VUIDGADDR {( &VUIOC|14);}';
    }
    if (defined &__cplusplus) {
    }
}
1;
